<?php
/*##################################################
 *                    PartnersExtensionPointProvider.class.php
 *                            -------------------
 *   begin                : October 26, 2014
 *   copyright            : (C) 2014 Anthony VIOLET
 *   email                : anthony.violet@outlook.fr
 *
 *
 ###################################################
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 ###################################################*/

class PartnersSetup extends DefaultModuleSetup
{

	public static $partners_table;

	private $partner;

	public static function __static(){

		self::$partners_table = PREFIX . 'partners';

	}

	public function install(){

		$this->drop_tables();
		$this->create_tables();
		$this->insert_data();
 
	}
 
	public function uninstall(){
 
		$this->drop_tables();

	}

	public function upgrade($installed_version){

		$file = new File(Url::to_rel('/partners/phpboost/PartnersModuleMiniMenu.class.php'));
		$file->delete();

		$new_version = "2.2.0";

		return $new_version;

	}

	public function drop_tables(){

		PersistenceContext::get_dbms_utils()->drop(self::$partners_table);

	}

	public function create_tables(){

		$fields = array(
			'id' => array('type' => 'integer', 'length' => 11, 'autoincrement' => true, 'notnull' => 1),
			'name' => array('type' => 'string', 'length' => 250, 'notnull' => 1),
			'mail' => array('type' => 'string', 'lenght' => 250, 'notnull' => 1),
			'description' => array('type' => 'text', 'length' => 65000),
			'link' => array('type' => 'string', 'length' => 250, 'notnull' => 1),
			'link_banner' => array('type' => 'string', 'length' => 250, 'notnull' => 1),
			'entries' => array('type' => 'integer', 'lenght' => 11, 'notnull' => 1, 'default' => "'0'"),
			'outputs' => array('type' => 'integer', 'lenght' => 11, 'notnull' => 1, 'default' => "'0'"),
			'ip_adress' => array('type' => 'string', 'lenght' => 10, 'notnull' => 1),
		);
		$options = array(
			'primary' => array('id'),
			'indexes' => array(
				'name' => array('type' => 'fulltext', 'fields' => 'name'),
				'mail' => array('type' => 'fulltext', 'fields' => 'mail'),
				'description' => array('type' => 'fulltext', 'fields' => 'description'),
				'link' => array('type' => 'fulltext', 'fields' => 'link'),
				'link_banner' => array('type' => 'fulltext', 'fields' => 'link_banner'),
			),
		);
		PersistenceContext::get_dbms_utils()->create_table(self::$partners_table, $fields, $options);

	}

	private function insert_data(){

        $this->partner = LangLoader::get('install', 'partners');
		$this->insert_partners_data();
	}

	public function insert_partners_data(){

		PersistenceContext::get_querier()->insert(self::$partners_table, array(
			'id' => 1,
			'mail' => $this->partner['partner.mail'],
			'name' => $this->partner['partner.name'],
			'description' => $this->partner['partner.description'],
			'link' => $this->partner['partner.link'],
			'link_banner' => $this->partner['partner.link_banner'],
		));

	}
}