<?php
/*##################################################
 *                        PartnersService.class.php
 *                            -------------------
 *   begin                : October 27, 2014
 *   copyright            : (C) 2014 Anthony VIOLET
 *   email                : anthony.violet@outlook.fr
 *
 *  
 ###################################################
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 ###################################################*/

class PartnersService
{
	private static $db_querier;
	private static $partners_manager;
	
	public static function __static()
	{
		self::$db_querier = PersistenceContext::get_querier();
	}
	
	public static function add(Partner $partner)
	{
		$result = self::$db_querier->insert(PartnersSetup::$partners_table, $partner->get_properties());
		return $result->get_last_inserted_id();
	}
	
	public static function update(Article $article)
	{
		self::$db_querier->update(PartnersSetup::$partners_table, $partners->get_properties(), 'WHERE id=:id', array('id', $partners->get_id()));
	}
	
	public static function delete($condition, array $parameters)
	{
		self::$db_querier->delete(PartnersSetup::$partners_table, $condition, $parameters);
	}
	
	public static function get_partner($condition, array $parameters)
	{
		$row = self::$db_querier->select_single_row_query('SELECT * FROM '.PartnersSetup::$partners_table.' '.$condition, $parameters);
		
		$partner = new Partner();
		$partner->set_properties($row);
		return $partner;
	}

}
?>